- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TDiscriminator
TInlineParameterMapParser
TParameterMap
TParameterProperty
TResultMap
TResultProperty
TSimpleDynamicParser
TSqlMapCacheKey
TSqlMapCacheModel
TSqlMapCacheTypes
TSqlMapDelete
TSqlMapInsert
TSqlMapSelectKey
TSqlMapStatement
TSqlMapUpdate
TSqlMapXmlConfigBuilder
TSqlMapXmlConfiguration
TSqlMapXmlMappingConfiguration
TSubMap

Keyword

# Class TInlineParameterMapParser

TInlineParameterMapParser class.

The inline parameter map syntax lets you embed the property name, the property type, the column type, and a null value replacement into a parametrized SQL statement.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
array | parse ( string $sqlText, array $scope) Parse the sql text for inline parameters.
protected void | parseMapping ( string $token, array $scope) Parse inline parameter with syntax as

Constant Summary
string | PARAMETER_TOKEN_REGEXP | Regular expression for parsing inline parameter maps.

Method Details

## parse

public array parse | (string $sqlText , array $scope )

Parse the sql text for inline parameters.

Input
string | $sqlText | sql text
array | $scope | file and node details for exception message.
Output
array | 'sql' and 'parameters' name value pairs.
Exception

## parseMapping

protected void parseMapping | (string $token , array $scope )

Parse inline parameter with syntax as

#propertyName,type=string,dbype=Varchar,nullValue=N/A,handler=string#

Input
string | $token | parameter token
array | $scope | file and node details for exception message.
Output
Exception

Constant Details

### PARAMETER_TOKEN_REGEXP

Regular expression for parsing inline parameter maps.

#### Type:

string

#### Value:

'/#([^#]+)#/'